%global gtk4_version 4.4.0
%global libadwaita_version 1.2

Name:           baobab
Version:        44.0
Release:        1
Summary:        A graphical directory tree analyzer
License:        GPLv2+ and GFDL-1.1-or-later
URL:            https://wiki.gnome.org/Apps/Baobab
Source0:        https://download.gnome.org/sources/baobab/44/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  vala

Requires:       gtk4%{?_isa} >= %{libadwaita_version}
Requires:       libadwaita%{?_isa} >= %{libadwaita_version}

%description
Baobab is able to scan either specific directories or the whole filesystem, in
order to give the user a graphical tree representation including each
directory size or percentage in the branch.  It also auto-detects in real-time
any change made to your home folder as far as any mounted/unmounted device.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/org.gnome.baobab.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.baobab.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING COPYING.docs
%{_bindir}/baobab
%{_datadir}/applications/org.gnome.baobab.desktop
%{_datadir}/dbus-1/services/org.gnome.baobab.service
%{_datadir}/icons/hicolor/*/apps/org.gnome.baobab*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.baobab-symbolic.svg
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/metainfo/org.gnome.baobab.appdata.xml
%{_mandir}/man1/baobab.1*

%changelog
* Fri Nov 24 2023 lwg <liweiganga@uniontech.com> - 44.0-1
- update to version 44.0

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 43.0-1
- Update to 43.0

* Mon May 30 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Update to 42.0

* Mon Apr 18 2022 lizhuang <zhuang.li@turbolinux.com.cn> - 3.38.0-2
- Add GFDL Version GFDL-1.1-or-later
- Add baobab.yaml

* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Release, Source0, stage 'prep', 'files'

* Wed Dec 11 2019 fengbing <fengbing7@huawei.com> - 3.30.0-2
- Package init
